Get volume and liquidity stats for a market
curl --request GET \
--url https://api.nevua.markets/demo/markets/{marketId}/volume-stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nevua.markets/demo/markets/{marketId}/volume-stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nevua.markets/demo/markets/{marketId}/volume-stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"marketId": "<string>",
"totalVolume": 123,
"latestLiquidity": 123,
"windows": {},
"liquidityToVolumeRatio": 123,
"turnoverRatio": 123,
"datapoints": 123
}Demo
Get volume and liquidity stats for a market
Computes volume and liquidity analytics for a specific market from the market_volume_timeseries collection. Returns volume traded in multiple time windows (1h, 4h, 12h, 24h), volume as a percentage of total, liquidity-to-volume ratio, and turnover ratio.
GET
/
demo
/
markets
/
{marketId}
/
volume-stats
Get volume and liquidity stats for a market
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The market ID
Response
Volume stats
Latest total cumulative volume (null if missing)
Most recent liquidity value (null if missing)
Volume stats per window (1h, 4h, 12h, 24h)
Show child attributes
Show child attributes
liquidity / volume_24h
volume_24h / liquidity
Number of timeseries datapoints available
Was this page helpful?